Bug 1625415 - Lenovo Essential Wireless Keyboard and Mouse Combo doesn't work
Summary: Lenovo Essential Wireless Keyboard and Mouse Combo doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1521100 1671966 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-04 21:44 UTC by Peter Hostačný
Modified: 2019-08-21 08:35 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1521100
Environment:
Last Closed: 2019-08-21 08:35:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Hostačný 2018-09-04 21:44:00 UTC
+++ This bug was initially created as a clone of Bug #1521100 +++

Description of problem:

I bought new wireless keyboard for my Lenovo laptop (T470s) with mouse. The mouse works, but the keyboard doesn't. Only keys "super" and "alt" react on the keyboard. It is really pity, because i would like to use it. 

Strange is that the keyboard works in bios and in grub. Same problem I have with Fedora 26.


>> dmesg
[  100.790513] usb 1-1: USB disconnect, device number 5
[  104.577088] usb 1-1: new full-speed USB device number 6 using xhci_hcd
[  104.749378] usb 1-1: New USB device found, idVendor=17ef, idProduct=60a9
[  104.749381] usb 1-1: New USB device strings: Mfr=0, Product=2, SerialNumber=0
[  104.749383] usb 1-1: Product: Lenovo Essential Wireless Keyboard and Mouse Combo
[  104.752210] input: Lenovo Essential Wireless Keyboard and Mouse Combo as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:17EF:60A9.0009/input/input23
[  104.804226] hid-generic 0003:17EF:60A9.0009: input,hidraw0: USB HID v1.11 Keyboard [Lenovo Essential Wireless Keyboard and Mouse Combo] on usb-0000:00:14.0-1/input0
[  104.805579] input: Lenovo Essential Wireless Keyboard and Mouse Combo as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.1/0003:17EF:60A9.000A/input/input24
[  104.805739] hid-generic 0003:17EF:60A9.000A: input,hidraw1: USB HID v1.11 Mouse [Lenovo Essential Wireless Keyboard and Mouse Combo] on usb-0000:00:14.0-1/input1
[  104.806528] input: Lenovo Essential Wireless Keyboard and Mouse Combo as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.2/0003:17EF:60A9.000B/input/input25
[  104.858215] hid-generic 0003:17EF:60A9.000B: input,hidraw2: USB HID v1.11 Device [Lenovo Essential Wireless Keyboard and Mouse Combo] on usb-0000:00:14.0-1/input2
[  104.859445] hid-generic 0003:17EF:60A9.000C: hiddev96,hidraw3: USB HID v1.11 Device [Lenovo Essential Wireless Keyboard and Mouse Combo] on usb-0000:00:14.0-1/input3
[  114.566488] input input23: event field not found
[  114.630487] input input23: event field not found
[  114.854488] input input23: event field not found
....

>> lsusb 
Bus 001 Device 006: ID 17ef:60a9 Lenovo 


Version-Release number of selected component (if applicable):
kernel 4.13.16-202.fc26.x86_64

How reproducible:
always, except bios and grub

Steps to Reproduce:
1. use  Lenovo Essential Wireless Keyboard and Mouse Combo 

Actual results:
not work

Expected results:
keyboard and mouse work correctly in gnome-shell

--- Additional comment from Kari Hautio on 2018-01-08 03:51:47 EST ---

Same problem with
Lenovo keyboard and mouse combo (4X30H567)

lsusb:
  Bus 002 Device 004: ID 17ef:609b Lenovo 

The mouse works without issues but pressing any keys on keyboard will result in just
[ 1378.864283] input input12: event field not found
[ 1378.896265] input input12: event field not found
[ 1378.896270] input input12: event field not found
[ 1378.944333] input input12: event field not found

--- Additional comment from Pavel Studeník on 2018-01-10 10:02:39 EST ---

Maybe I found solution, but it didn't test. 

https://github.com/y-trudeau/linux_lenovo_ultraslim_plus

--- Additional comment from Laura Abbott on 2018-02-20 15:00:09 EST ---

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

--- Additional comment from Franz Brauneder on 2018-02-22 14:48:46 EST ---

Same problem with Lenovo keyboard and mouse combos (4X30M39472 and 4X30H56809).

The issue is still present in kernel version 4.15.3-300.fc27.

Maybe the information on this page can help.
https://unix.stackexchange.com/questions/377830/linux-hid-driver-for-primax-wireless-keyboards/377873#377873

I also found a bugzilla entry on kernel.org that seems to handle the same problem (https://bugzilla.kernel.org/show_bug.cgi?id=197787).

--- Additional comment from Pavel Studeník on 2018-05-06 10:06:17 EDT ---

I upgraded system to Fedora 28 and Kernel 4.16.6-302.fc28.x86_64 and the issue is still not resolved. The keyboard doesn't work.

Bus 002 Device 006: ID 17ef:60a9 Lenovo 

>> journalctl -f 
kvě 06 16:05:16 localhost.localdomain kernel: input input25: event field not found
kvě 06 16:05:16 localhost.localdomain kernel: input input25: event field not found

--- Additional comment from Justin M. Forbes on 2018-07-23 11:06:46 EDT ---

*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

--- Additional comment from Justin M. Forbes on 2018-08-29 11:12:40 EDT ---

*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 1 Peter Hostačný 2018-09-04 21:47:46 UTC
I am still experiencing this issue on the latest kernel (Fedora 28).
4.17.19-200.fc28.x86_64


Few more links to external pages where problem is described:
https://askubuntu.com/questions/897729/lenovo-professional-wireless-keyboard-and-mouse-combo-not-working-in-ubuntu?noredirect=1&lq=1
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1771431
https://bugzilla.kernel.org/show_bug.cgi?id=197787
https://unix.stackexchange.com/questions/377830/linux-hid-driver-for-primax-wireless-keyboards/377873#377873

Workaround (not completely working):
https://github.com/y-trudeau/linux_lenovo_ultraslim_plus
Problems with workaround:
1. mouse stops working when workaround is applied (Lenovo Professional Keyboard combo contains both mouse and keyboard with only one dongle)
2. super key does not work

Comment 2 Laura Abbott 2018-10-01 21:18:01 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Peter Hostačný 2018-10-02 08:22:29 UTC
Bug is still present in 4.18.10-200.fc28.x86_64.

Comment 4 Pavel Studeník 2018-10-14 13:48:54 UTC
*** Bug 1521100 has been marked as a duplicate of this bug. ***

Comment 5 Franz Brauneder 2018-12-29 17:27:42 UTC
Thu bug is still present in Fedor 29 (kernel version 4.19.10-300.fc29.x86_64)

Comment 6 Justin M. Forbes 2019-01-29 16:24:40 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 7 Peter Hostačný 2019-02-04 10:43:47 UTC
The bug is still present in 4.20.5-100.fc28.x86_64.

Could anybody please look into it?

Comment 8 Pavel Studeník 2019-05-18 08:54:37 UTC
Keyboard still doesn't work. Fedora 30 - Kernel 5.0.13-300.fc30.x86_64.

Comment 9 Franz Brauneder 2019-06-15 17:28:56 UTC
It seems to work since kernel version 5.1.7-300.fc30.x86_64 (Fedora 30).

Comment 10 Pavel Studeník 2019-06-15 18:10:24 UTC
I can confirm that it works correct with 5.1.8-300.fc30.x86_64. New installation Fedora 30 without kernel changes.

Comment 11 Pavel Studeník 2019-06-15 18:22:48 UTC
Actually only special keys fn + F[1-12] (volume up/ volume down, play..) doesn't work.

Comment 12 Hans de Goede 2019-06-17 10:08:03 UTC
*** Bug 1671966 has been marked as a duplicate of this bug. ***

Comment 13 Hans de Goede 2019-06-17 10:20:48 UTC
(In reply to Pavel Studeník from comment #11)
> Actually only special keys fn + F[1-12] (volume up/ volume down, play..) doesn't work.

Ok, so what you are saying is that with recent kernels things mostly work, except for media keys send through Fn + F# such as volume up/down not working, correct?

Can you please do:

1:

lsusb -v -d 0x046d:c52f > lsusb.log

2: As root:

pushd /sys/kernel/debug/hid/
for i in *; do cat $i/rdesc > ~/$i.rdesc; done
popd

And then attach the generated lsusb.log and *.rdesc files here?

Comment 14 Justin M. Forbes 2019-08-20 17:40:36 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 15 Peter Hostačný 2019-08-21 08:35:56 UTC
Works in 5.2.7-100.fc29.x86_64


Note You need to log in before you can comment on or make changes to this bug.